/*
 * module_thread_priorities.h
 *
 *  Created on: 26-Aug-2019
 *      Author: Rohan Dey
 */

#ifndef MODULE_THREAD_PRIORITIES_H_
#define MODULE_THREAD_PRIORITIES_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "core_constant.h"

#define THREAD_PRIORITY_LED_HELPER			THREAD_PRIORITY_8
#define THREAD_PRIORITY_UDP_LOG_STREAMER	THREAD_PRIORITY_10
#define THREAD_PRIORITY_CONN				THREAD_PRIORITY_7
#define THREAD_PRIORITY_SYSHB				THREAD_PRIORITY_10
#define THREAD_PRIORITY_HWID				THREAD_PRIORITY_10
#define THREAD_PRIORITY_FOTA				THREAD_PRIORITY_5
#define THREAD_PRIORITY_DEVICE_CONFIG		THREAD_PRIORITY_3
#define THREAD_PRIORITY_BLE_CONFIG			THREAD_PRIORITY_4
#define THREAD_PRIORITY_EMMATE_APP			THREAD_PRIORITY_1

#ifdef __cplusplus
}
#endif

#endif /* MODULE_THREAD_PRIORITIES_H_ */
